From d05310280c1639cc3925725eeb9e8519b2c0465c Mon Sep 17 00:00:00 2001
From: Andre Anjos <andre.anjos@idiap.ch>
Date: Thu, 4 May 2017 15:32:02 +0200
Subject: [PATCH] Err if a non-public package is deployed

---
 gitlab/deploy.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gitlab/deploy.sh b/gitlab/deploy.sh
index dafa0aa..044eab6 100755
--- a/gitlab/deploy.sh
+++ b/gitlab/deploy.sh
@@ -3,6 +3,12 @@
 
 source $(dirname ${0})/functions.sh
 
+if [ "${VISIBILITY}" != "public" ]; then
+  log_error "ERROR: You cannot publish a PRIVATE to PyPI"
+  log_error "ERROR: Make this package public before re-trying!"
+  exit 1
+fi
+
 lock_pypirc
 
 #setup_deploy register --repository staging
-- 
GitLab